# Method: admin.directory.v1.customers.chrome.printServers.batchCreatePrintServers

Creates multiple print servers.

### HTTP request

`POST https://admin.googleapis.com/admin/directory/v1/{parent=customers/*}/chrome/printServers:batchCreatePrintServers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The [unique ID](https://developers.google.com/workspace/admin/directory/reference/rest/v1/customers) of the customer's Google Workspace account. Format: `customers/{id}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printServers/batchCreatePrintServers#CreatePrintServerRequest`) } ] } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printServers/batchCreatePrintServers#CreatePrintServerRequest`)`` Required. A list of `PrintServer` resources to be created (max `50` per batch). |

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "printServers": [ { object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printServers#PrintServer`) } ], "failures": [ { object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/PrintServerFailureInfo`) } ] } ``` |

| Fields ||
|---|---|
| `printServers[]` | ``object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printServers#PrintServer`)`` A list of successfully created print servers with their IDs populated. |
| `failures[]` | ``object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/PrintServerFailureInfo`)`` A list of create failures. `PrintServer` IDs are not populated, as print servers were not created. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.chrome.printers`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## CreatePrintServerRequest

Request for adding a new print server.

| JSON representation |
|---|
| ``` { "parent": string, "printServer": { object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printServers#PrintServer`) } } ``` |

| Fields ||
|---|---|
| `parent` | `string` Required. The [unique ID](https://developers.google.com/workspace/admin/directory/reference/rest/v1/customers) of the customer's Google Workspace account. Format: `customers/{id}` |
| `printServer` | ``object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/admin.directory.v1.customers.chrome.printServers#PrintServer`)`` Required. A print server to create. If you want to place the print server under a specific organizational unit (OU), then populate the `orgUnitId`. Otherwise the print server is created under the root OU. The `orgUnitId` can be retrieved using the [Directory API](https://developers.google.com/workspace/admin/directory/v1/guides/manage-org-units). |